> ## Documentation Index
> Fetch the complete documentation index at: https://docs.abbyy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 指定したカタログの一部のレコードを一覧表示します



## OpenAPI

````yaml /ja/openapi.json get /api/publicapi/v1/catalogs/{catalogId}/records
openapi: 3.0.4
info:
  description: '環境: 本番環境<br>製品バージョン: 1.6.17'
  title: Vantage processing REST API
  version: '1.0'
  x-application-version: 1.6.17
servers:
  - description: 本番環境（米国リージョン）
    url: https://vantage-us.abbyy.com
  - description: 本番環境（ヨーロッパリージョン）
    url: https://vantage-eu.abbyy.com
  - description: 本番環境（オーストラリアリージョン）
    url: https://vantage-au.abbyy.com
security:
  - OAuth2Security:
      - global.wildcard
      - openid
      - permissions
paths:
  /api/publicapi/v1/catalogs/{catalogId}/records:
    get:
      tags:
        - CatalogRecords
      summary: 指定したカタログの一部のレコードを一覧表示します
      operationId: GetRecords
      parameters:
        - description: カタログ識別子です。すべてのカタログ一覧から確認できます。
          in: path
          name: catalogId
          required: true
          schema:
            type: string
        - description: ページネーションのオフセット
          in: query
          name: offset
          schema:
            default: 0
            format: int32
            type: integer
        - description: 返される項目数の上限
          in: query
          name: limit
          schema:
            default: 1000
            format: int32
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: >-
                    #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Catalogs.Results.RecordDto
                type: array
            text/json:
              schema:
                items:
                  $ref: >-
                    #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Catalogs.Results.RecordDto
                type: array
            text/plain:
              schema:
                items:
                  $ref: >-
                    #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Catalogs.Results.RecordDto
                type: array
          description: OK
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            text/plain:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
          description: 見つかりませんでした
components:
  schemas:
    Abbyy.Vantage.PublicApi.Contract.Catalogs.Results.RecordDto:
      additionalProperties: false
      properties:
        fields:
          additionalProperties:
            items:
              type: string
            nullable: true
            type: array
          description: レコードのfield
          type: object
        id:
          description: カタログレコードのID
          minLength: 1
          type: string
      required:
        - fields
        - id
      type: object
    Microsoft.AspNetCore.Mvc.ProblemDetails:
      additionalProperties: {}
      properties:
        detail:
          nullable: true
          type: string
        instance:
          nullable: true
          type: string
        status:
          nullable: true
          type: string
        title:
          nullable: true
          type: string
        type:
          nullable: true
          type: string
      type: object
  securitySchemes:
    OAuth2Security:
      flows:
        authorizationCode:
          authorizationUrl: https://vantage-preview.abbyy.com/auth2/connect/authorize
          scopes:
            global.wildcard: Global wildcard
            openid: User Id
            permissions: User permissions
          tokenUrl: https://vantage-preview.abbyy.com/auth2/connect/token
      type: oauth2

````